List session question requests
Retrieve pending question requests owned by a session.
GET
/api/session/{sessionID}/questionPath parameters
sessionIDobjectrequiredResponses
200Success
dataQuestionV2.Request[]requiredShow propertiesHide properties
Array of
QuestionV2.RequestidobjectrequiredShow propertiesHide properties
objectsessionIDobjectrequiredShow propertiesHide properties
objectquestionsQuestionV2.Info[]requiredQuestions to ask
Show propertiesHide properties
Array of
QuestionV2.InfoquestionstringrequiredComplete question
headerstringrequiredVery short label (max 30 chars)
optionsQuestionV2.Option[]requiredAvailable choices
Show propertiesHide properties
Array of
QuestionV2.OptionlabelstringrequiredDisplay text (1-5 words, concise)
descriptionstringrequiredExplanation of choice
multiplebooleancustombooleantoolQuestionV2.ToolShow propertiesHide properties
messageIDstringrequiredcallIDstringrequired400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404SessionNotFoundError
Any of:
SessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredRequest
curl -X GET "/api/session/%5Bobject%20Object%5D/question"const response = await fetch("/api/session/%5Bobject%20Object%5D/question", {
method: "GET"
});import requests
response = requests.get(
"/api/session/%5Bobject%20Object%5D/question",
)Response
{
"data": [
{
"id": {},
"sessionID": {},
"questions": [
{
"question": "string",
"header": "string",
"options": [
{
"label": "string",
"description": "string"
}
],
"multiple": true,
"custom": true
}
],
"tool": {
"messageID": "string",
"callID": "string"
}
}
]
}{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "SessionNotFoundError",
"sessionID": "string",
"message": "string"
}